org.apache.maven.scm.provider.cvslib

## Class AbstractCvsScmTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.provider.cvslib.AbstractCvsScmTest

- All Implemented Interfaces:
    junit.framework.Test
  Direct Known Subclasses:
    CvsChangeLogCommandTest, CvsCheckoutCommandTest, CvsUpdateCommandTest

      public abstract class AbstractCvsScmTest
      extends ScmTestCase

  Version:
    $Id: AbstractCvsScmTest.java 685548 2008-08-13 13:35:49Z vsiveton $
  Author:
    Emmanuel Venisse, Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.ScmTestCase

      `GMT_TIME_ZONE`

    - ### Fields inherited from class org.codehaus.plexus.PlexusTestCase

      `basedir, container`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCvsScmTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assertBetween(long small, long large, long value)`
    `protected ScmRepository` | `getScmRepository()`
    `void` | `setUp()`

    - ### Methods inherited from class org.apache.maven.scm.ScmTestCase

      `assertCommandLine, assertFile, assertPath, assertResultIsSuccess, execute, getAssertionCopy, getDate, getDate, getDate, getModule, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, setDebugExecute`

    - ### Methods inherited from class org.codehaus.plexus.PlexusTestCase

      `createContainerInstance, customizeContext, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getContainer, getCustomConfiguration, getResourceAsStream, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, release, tearDown`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCvsScmTest

          public AbstractCvsScmTest()

  - ### Method Detail

    - #### setUp

          public void setUp()
                     throws Exception

      Overrides:
        `setUp` in class `ScmTestCase`
      Throws:
        `Exception`

    - #### getScmRepository

          protected ScmRepository getScmRepository()
                                            throws Exception

      Throws:
        `Exception`

    - #### assertBetween

          public void assertBetween(long small,
                           long large,
                           long value)

Copyright © 2003–2015. All rights reserved.